Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::HeaderFooter Class Reference

Inherits Object.

## Public Member Functions
| HeaderFooter ()
| Constructor.
| HeaderFooter (const common::Font &font, float text_size, RGB text_color, const PageNumberRange &page_range, RectF page_margin, bool has_text_shrinked, bool has_fixedsize_for_print, int start_page_number, const HeaderFooterContent &content, bool is_to_embed_font, bool is_underline)
| Constructor, with parameters. More...
| HeaderFooter (const HeaderFooter &other)
| Constructor, with another header-footer object. More...
HeaderFooter & | operator= (const HeaderFooter &other)
| Assign operator. More...
void | Set (const common::Font &font, float text_size, RGB text_color, const PageNumberRange &page_range, RectF page_margin, bool has_text_shrinked, bool has_fixedsize_for_print, int start_page_number, const HeaderFooterContent &content, bool is_to_embed_font, bool is_underline)
| Set value. More...

## Public Attributes
HeaderFooterContent | content
| Header-footer content.
common::Font | font
| A valid font object which is expected to be used for header-footer content. More...
bool | has_fixedsize_for_print
| A boolean value that decides whether to use fixed size for print or not.
bool | has_text_shrinked
| A boolean value that decides whether to shrink text or not.
bool | is_replace_font
| (Reserved) A boolean value that decides whether to replace font or not. Currently Foxit PDF SDK will use this as true all the time.
bool | is_to_embed_font
| A boolean value that decides whether to embed font or not.
bool | is_underline
| A boolean value that decides whether to underline text or not.
RectF | page_margin
| Page margin which specifies the location for header-footer content. Foxit PDF SDK will use a maring defined as (72.0, 36.0, 72.0, 36.0) as default if no margin value is set by user. More...
PageNumberRange | page_range
| A page number range object which specifies pages where current header-footer is used. More...
int | start_page_number
| A virtual page number used for the first page specified in parameter page_range. This can be any number, even different from the actual page number of the specified page. More...
RGB | text_color
| Text color used for header-footer content.
float | text_size
| Text size of header-footer content.

## Detailed Description

This class represents properties and data for a header-footer.

## Constructor & Destructor Documentation

## ◆ HeaderFooter() [1/2]

foxit::pdf::HeaderFooter::HeaderFooter | ( | const common::Font & | font,
|  | float | text_size,
|  | RGB | text_color,
|  | const PageNumberRange & | page_range,
|  | RectF | page_margin,
|  | bool | has_text_shrinked,
|  | bool | has_fixedsize_for_print,
|  | int | start_page_number,
|  | const HeaderFooterContent & | content,
|  | bool | is_to_embed_font,
|  | bool | is_underline
| ) |  |
| inline explicit

Constructor, with parameters.

Parameters

  [in] | font | A valid font object used for header-footer content. Please refer to comment of font of current object.
  [in] | text_size | Text size of header-footer content.
  [in] | text_color | Text color used for header-footer content.
  [in] | page_range | A page number range object which specifies pages where current header-footer is used. Please refer to comment of page_range of current object.
  [in] | page_margin | Page margin which specifies the location for header-footer content. Please refer to comment of page_margin of current object.
  [in] | has_text_shrinked | A boolean value that decides whether to shrink text or not.
  [in] | has_fixedsize_for_print | A boolean value that decides whether to use fixed size for print or not.
  [in] | start_page_number | A virtual page number used for the first page specified in parameter page_range. This can be any number, even different from the actual page number of the specified page. If this value is less than 1, Foxit PDF SDK will use 1 for this value when current header-footer object is used in a PDF document.
  [in] | content | Header-footer content.
  [in] | is_to_embed_font | A boolean value that decides whether to embed font or not.
  [in] | is_underline | A boolean value that decides whether to underline text or not.

## ◆ HeaderFooter() [2/2]

foxit::pdf::HeaderFooter::HeaderFooter | ( | const HeaderFooter & | other | ) |
| inline

Constructor, with another header-footer object.

Parameters

  [in] | other | Another header-footer object.

## Member Function Documentation

## ◆ operator=()

HeaderFooter& foxit::pdf::HeaderFooter::operator= | ( | const HeaderFooter & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another header-footer object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::HeaderFooter::Set | ( | const common::Font & | font,
|  | float | text_size,
|  | RGB | text_color,
|  | const PageNumberRange & | page_range,
|  | RectF | page_margin,
|  | bool | has_text_shrinked,
|  | bool | has_fixedsize_for_print,
|  | int | start_page_number,
|  | const HeaderFooterContent & | content,
|  | bool | is_to_embed_font,
|  | bool | is_underline
| ) |  |
| inline

Set value.

Parameters

  [in] | font | A valid font object which is expected to be used for header-footer content. Please refer to comment of font of current object.
  [in] | text_size | Text size of header-footer content.
  [in] | text_color | Text color used for header-footer content.
  [in] | page_range | A page number range object which specifies pages where current header-footer is used. Please refer to comment of page_range of current object.
  [in] | page_margin | Page margin which specifies the location for header-footer content. Please refer to comment of page_margin of current object.
  [in] | has_text_shrinked | A boolean value that decides whether to shrink text or not.
  [in] | has_fixedsize_for_print | A boolean value that decides whether to use fixed size for print or not.
  [in] | start_page_number | A virtual page number used for the first page specified in parameter page_range. This can be any number, even different from the actual page number of the specified page. If this value is less than 1, Foxit PDF SDK will use 1 for this value when current header-footer object is used in a PDF document.
  [in] | content | Header-footer content.
  [in] | is_to_embed_font | A boolean value that decides whether to embed font or not.
  [in] | is_underline | A boolean value that decides whether to underline text or not.

Returns
  None.

## Member Data Documentation

## ◆ font

common::Font foxit::pdf::HeaderFooter::font

A valid font object which is expected to be used for header-footer content.

Note
  Sometimes, Foxit PDF SDK cannot match an extract font with this font object. In this case, Foxit PDF SDK will match a similar font (which is not exactly same as this font object) for heasder-footer content instead.

## ◆ page_margin

RectF foxit::pdf::HeaderFooter::page_margin

Page margin which specifies the location for header-footer content. Foxit PDF SDK will use a maring defined as (72.0, 36.0, 72.0, 36.0) as default if no margin value is set by user.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page. These margins can be used to locate header-footer content in different places:
  - Left margin is used to specify the location for left header or footer content to be started.
  - Right margin is used to specify the location for right header or footer content to be ended.
  - Bottom margin is used to specify the top location for any footer content to be placed. If bottom margin is no more than 0, the footer content will be invisible.
  - Top margin is used to specify the bottom location for any header content to be placed. If top margin is no more than 0, the header content will be invisible.

## ◆ page_range

PageNumberRange foxit::pdf::HeaderFooter::page_range

A page number range object which specifies pages where current header-footer is used.

All the values represented in this range should start from 1 and no more than page count of the PDF document, in which current header-footer object is used.

## ◆ start_page_number

int foxit::pdf::HeaderFooter::start_page_number

A virtual page number used for the first page specified in parameter page_range. This can be any number, even different from the actual page number of the specified page.

Note
  If this value is less than 1, Foxit PDF SDK will use 1 for this value when current header-footer object is used in a PDF document.